=== debian/changelog ===
ros-indigo-dynamic-transform-publisher (1.0.1-1trusty) trusty; urgency=high

  * removed tf from CMakelists.txt
  * updated package.xml to format 2
  * marker and rqt_reconfigure update sync
  * Updated x,y,z limits to 100
  * added interactive marker
  * renamed library files
  * added documentation, updated namespacing
  * fixed startup with command line arguments
  * changed to broacasting on timer
  * moved reconfigure server to base class, moved base class to own header
  * updated dynamic_tranform_publisher to use dynamic_reconfigure
  * created dynamic reconfigure based static transform publisher
  * Contributors: Allison Thackston

 -- Allison Thackston <allison@lyonthackston.com>  Fri, 24 Nov 2017 08:00:00 -0000
