=== debian/control ===
Source: ros-indigo-dynamic-transform-publisher
Section: misc
Priority: extra
Maintainer: Allison Thackston <allison@lyonthackston.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-interactive-markers, ros-indigo-roscpp, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-dynamic-transform-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-interactive-markers, ros-indigo-roscpp, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Description: Publish a static transform configured through dynamic reconfigure
